Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class SearchAccess

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.SearchAccess

public class SearchAccess
extends java.lang.Object

SearchAccess
Réalise les opérations relatives aux recherches dans la base de données
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.3 $
Author:
  Mathieu Larchet

Constructor Summary
`SearchAccess()`

Method Summary
`static java.util.List` | `getCustomDocuments(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String type, java.lang.String description)` Retourne les documents correspondants aux critères de recherche
`static java.util.List` | `getInvalidDocuments(org.esupportail.portal.utils.database.Query query, java.lang.String intranet)` Retourne la liste des documents en attente de validation
`static java.util.List` | `getLastDocuments(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, int count)` Retourne les n derniers documents d'un intranet
`static java.util.List` | `getPerimedDocuments(org.esupportail.portal.utils.database.Query query, java.lang.String intranet)` Retourne la liste des documents périmés

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchAccess

    public SearchAccess()

Method Detail

### getInvalidDocuments

    public static java.util.List getInvalidDocuments(org.esupportail.portal.utils.database.Query query,
                                                     java.lang.String intranet)
                                              throws DataException

  Retourne la liste des documents en attente de validation

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant de l'intranet
  Returns:
    docs La liste des documents
  Throws:
    `DataException`

### getPerimedDocuments

    public static java.util.List getPerimedDocuments(org.esupportail.portal.utils.database.Query query,
                                                     java.lang.String intranet)
                                              throws DataException

  Retourne la liste des documents périmés

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant de l'intranet
  Returns:
    docs La liste des documents
  Throws:
    `DataException`

### getLastDocuments

    public static java.util.List getLastDocuments(org.esupportail.portal.utils.database.Query query,
                                                  java.lang.String intranet,
                                                  int count)
                                           throws DataException

  Retourne les n derniers documents d'un intranet

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant de l'intranet
    `count` - Le nombre de documents à retourner
  Returns:
    docs La liste des documents
  Throws:
    `DataException`

### getCustomDocuments

    public static java.util.List getCustomDocuments(org.esupportail.portal.utils.database.Query query,
                                                    java.lang.String intranet,
                                                    java.lang.String type,
                                                    java.lang.String description)
                                             throws DataException

  Retourne les documents correspondants aux critères de recherche

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant de l'intranet
    `type` - Le type de document (F, L ou %)
    `description` - Le template de description (%template% ou %)
  Returns:
    docs La liste des documents
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD